<mat-dialog-content>
  <div *ngIf="pagoCheckout">
    <form [(formGroup)]="pagoCheckout">
      <div fxLayout="row wrap" fxLayoutAlign="start start" fxLayoutGap="20px">
        <div *ngFor="let field of constants.form; let k = index">
          <mat-form-field appearance="fill" floatLabel="auto">
            <mat-label>{{ field.label }}</mat-label>
            <input *ngIf="
                  field.name !== 'countryName' &&
                  field.name !== 'stateName'
                " matInput [formControlName]="field.name"
                [placeholder]="field.name == 'pagoString' ? 'xxx$pagoservices.com' : '' "/>
            <mat-error *ngIf="
                  pagoCheckout.get(field.name).invalid &&
                  pagoCheckout.get(field.name).touched
                ">{{ getErrorMessage(field.name) }}</mat-error>
            <mat-select *ngIf="field.name == 'countryName'" [formControlName]="field.name"
              (selectionChange)="setValues($event)">
              <mat-option *ngFor="let country of countries" [value]="country.name">
                {{ country.name }}
              </mat-option>
            </mat-select>
            <mat-select *ngIf="field.name == 'stateName'" [formControlName]="field.name"
              (selectionChange)="setStateCode($event)">
              <mat-option *ngFor="let state of states" [value]="state.name">
                {{ state.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
    </form>
  </div>
</mat-dialog-content>
<mat-dialog-actions fxLayout="row" fxLayoutAlign="space-between center">
  <pm-pago-wallet-download></pm-pago-wallet-download>
  <div [hidden]="!isLoading" ng-show class="spinner-border text-info" role="status"></div>
  <button mat-raised-button color="primary" [disabled]="pagoCheckout && !pagoCheckout.valid"
    matStepperNext>Next</button>
</mat-dialog-actions>
